View Issue Details

IDProjectCategoryView StatusLast Update
0001906Slicer4Core: Extensionspublic2012-07-27 15:18
ReporterfinetjulAssigned Tojcfr 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
PlatformWindows 7OSOS Version
Product VersionSlicer 4.1.0 
Target VersionSlicer 4.1.1Fixed in VersionSlicer 4.1.1 
Summary0001906: Failed to uninstall extension "in use"
Description

Reproduced on Windows, didn't try on mac or linux.

Steps To Reproduce

From empty settings. Install Plastimatch, restart. Uninstall Plastimatch -> "Manage Extension" tab is not grayed out and still shows 1 extension is installed. (restart and uninstall again fixes the pb -> an extension is "installed" twice, but each uninstall removes it once).

Additional Information

After investigation, it's because when I uninstall, it fails to delete files that are "in-use"

TagsNo tags attached.

Activities

jcfr

jcfr

2012-05-18 13:45

administrator   ~0004504

Extensions should be uninstalled when restarting Slicer.

jcfr

jcfr

2012-05-22 11:45

administrator   ~0004553

The enclosed screenshot "Uninstall-extension-button.jpg" illustrates how extension can be scheduled / unscheduled for uninstallation.

The uninstallation occurs when Slicer starts.

2012-05-22 15:16

 

jcfr

jcfr

2012-05-23 05:04

administrator   ~0004577

Mail sent to Ron, Sonia, Steve - May 23 2012:

To address issue 1906 [1], the server has been updated. Currently the code is been tested on a local instance of the server.

Soon the code will be rolled out and the existing version of Slicer depending on the current functionality won't work any more.

Given the extend of the change (limites to javascript), implementing a mechanism allowing to support different scheme on the server is possible. For now, I would prefer not to go along that path and keep the code base simple.

I propose the following 2 options:

1) Push code, NO midas update, Slicer 4.1 / Slicer 4.1 QtTesting will be able to download extension, nightly will NOT

2) Push code, midas update, Slicer 4.1 / Slicer 4.1 QtTesting will NOT be able to download extension, nightly will

I would prefer option 2. Let me know what you think.

jcfr

jcfr

2012-05-23 05:05

administrator   ~0004578

Topic pushed to https://github.com/jcfr/Slicer/tree/1906-uninstall-extensions-on-restart

jcfr

jcfr

2012-05-25 13:37

administrator   ~0004623

Fixed in http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=20156

jcfr

jcfr

2012-07-27 15:18

administrator   ~0005290

Closing resolved issues that have not been updated in more than 2 months.

Issue History

Date Modified Username Field Change
2012-04-16 06:44 finetjul New Issue
2012-04-16 06:44 finetjul Status new => assigned
2012-04-16 06:44 finetjul Assigned To => jcfr
2012-05-08 14:59 jcfr Target Version => Slicer 4.x AHM Summer 2012
2012-05-18 13:44 jcfr Target Version Slicer 4.2.0 AHM Summer 2012 => Slicer 4.1.1
2012-05-18 13:45 jcfr Note Added: 0004504
2012-05-22 11:43 jcfr File Added: Uninstall-extension-button.jpg
2012-05-22 11:45 jcfr Note Added: 0004553
2012-05-22 15:15 jcfr File Deleted: Uninstall-extension-button.jpg
2012-05-22 15:16 jcfr File Added: Uninstall-extension-button.jpg
2012-05-23 05:04 jcfr Note Added: 0004577
2012-05-23 05:05 jcfr Note Added: 0004578
2012-05-25 13:37 jcfr Note Added: 0004623
2012-05-25 13:37 jcfr Status assigned => resolved
2012-05-25 13:37 jcfr Fixed in Version => Slicer 4.1.1 - June 1st 2012
2012-05-25 13:37 jcfr Resolution open => fixed
2012-07-27 15:18 jcfr Note Added: 0005290
2012-07-27 15:18 jcfr Status resolved => closed